Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class FTxt

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.item.Item
                  org.basex.query.xquery.item.Nod
                      org.basex.query.xquery.item.FNode
                          org.basex.query.xquery.item.FTxt

    public final class FTxt

extends FNode

Text Node.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary

Fields inherited from class org.basex.query.xquery.item.Item
`type`

Constructor Summary
`FTxt(byte[] t, Nod p)` Constructor.

Method Summary
`FTxt` | `copy()` Creates a new copy (clone) of the node.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`void` | `serialize(Serializer ser)` Serializes the item.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.FNode
`attr, child, desc, descOrSelf`

Methods inherited from class org.basex.query.xquery.item.Nod
`anc, ancOrSelf, base, bool, dbl, dec, diff, diff, eq, finish, flt, foll, follSibl, is, itr, java, nname, ns, par, parent, parent, prec, precSibl, qname, qname, self`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, d, hash, i, iter, iter, n, name, node, returned, s, score, score, size, u, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTxt

    public FTxt(byte[] t,
                Nod p)

  Constructor.

  Parameters:
    `t` - text value
    `p` - parent

Method Detail

### str

    public byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### serialize

    public void serialize(Serializer ser)
                   throws java.io.IOException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### copy

    public FTxt copy()

  Description copied from class: `Nod`
  Creates a new copy (clone) of the node.

  Specified by:
    `copy` in class `Nod`
  Returns:
    new copy

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Item`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD